#!/bin/bash
# Automatic backup using a Git repository.


set -o errexit -o nounset


DIRECTORY="/var/autobackup/"

USERNAME="redmine"
PASSWORD="void"
DATABASE="redmine_default"

CONTENTS=(
	"redmine"
	"sql"
	"svn"
)


cd "$DIRECTORY"

mysqldump -u"$USERNAME" -p"$PASSWORD" "$DATABASE" > sql/"$DATABASE".sql

for x in "${CONTENTS[@]}"; do
	if [ ! "$(ls -A "$x")" ]; then
		logger -s "Autobackup failed, $x is empty."
	fi
done

git add .
git commit -m "`date --iso-8601=seconds`"
git gc

