#/usr/bin/env python3
"Sends a customized e-mail to all students."


from smtplib import SMTP_SSL
from email.mime.text import MIMEText
from email.header import Header


USERFILE = "students.csv"
TEXTFILE = "mail.txt"

SEPARATOR = ","

SMTP_USERNAME = "joakim.soderlund@gmail.com"
SMTP_PASSWORD = "void"
SMTP_FROMADDR = "jsooa08@student.lnu.se"

USERFORMAT = ["team", "lastname", "firstname", "email", "password"]


class MailClient():
	def __init__(self, server, port, username, password):
		self.smtp = SMTP_SSL(server, port)
		self.smtp.login(username, password)

	def send(self, fromaddr, toaddrs, subject, message):
		msg = MIMEText(message, "plain", "UTF-8")
		msg['From'] = fromaddr
		msg['To'] = ", ".join(toaddrs)
		msg['Subject'] = Header(subject, "UTF-8")

		return self.smtp.sendmail(fromaddr, toaddrs, msg.as_string())

	def close(self):
		try:
			self.smtp.quit()
		except:
			pass

	def __enter__(self):
		return self

	def __exit__(self, type, value, traceback):
		self.close()

	def __del__(self):
		self.close()


if __name__ == "__main__":
	with open(TEXTFILE) as fobj:
		message = fobj.read()

	students = list()
	with open(USERFILE) as fobj:
		for line in fobj:
			columns = line.strip().split(SEPARATOR)
			students.append({c:columns[i] for i, c in enumerate(USERFORMAT)})

	with MailClient("smtp.gmail.com", 465, SMTP_USERNAME, SMTP_PASSWORD) as mailer:
		for student in students:
			result = dict()
			result["to"] = student["email"]
			subject = "OpenUP Project Server Credentials"
			toaddrs = [student["email"]]
			student["username"] = student["email"].split("@")[0].strip()

			try:
				mailret = mailer.send(SMTP_FROMADDR, toaddrs, subject, message.format(**student))
				if mailret:
					result["status"] = str(mailret)
				else:
					result["status"] = "OK"
			except Exception as e:
				result["status"] = str(e)

			print(str(result))

