#!/usr/bin/env python3
"Prints Apache configurations for the SVN repositories."


NUMTEAMS = 5
BASECFG = """
<Location /svn/team{number}>
	DAV svn
	SVNPath /var/svn/team{number}
	AuthType Basic
	AuthName "Team {number} SVN"
	AuthUserFile /var/svn/team{number}/conf/htpasswd
	Require valid-user
</Location>
"""


for teamnum in range(1, NUMTEAMS + 1):
	print(BASECFG.format(number=teamnum), end="")

