#!/usr/bin/env python3
"Generates a SVN repositoriy for each team."


import os
import shutil


BASEREPO = "source"
USERFILE = "students.csv"
SEPARATOR = ","
USERFORMAT = ["team", "lastname", "firstname", "email", "password"]


students = list()

with open(USERFILE) as fobj:
	for line in fobj:
		columns = line.strip().split(SEPARATOR)
		students.append({c:columns[i] for i, c in enumerate(USERFORMAT)})


created = set()

for student in students:
	if not student["team"] in created:
		shutil.copytree(BASEREPO, "team{}".format(student["team"]))
		os.system("touch team{}/conf/htpasswd".format(student["team"]))
		created.add(student["team"])

	student["username"] = student["email"].split("@")[0].strip()
	os.system("htpasswd -b team{}/conf/htpasswd {} {}".format(student["team"], student["username"], student["password"]))

